﻿<UserControl x:Class="TouchAndTeachWindows.Menu.MenuPen.PenToolBox"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:localMenu="clr-namespace:TouchAndTeachWindows.Menu"
             mc:Ignorable="d" Loaded="UserControl_Loaded" Unloaded="UserControl_Unloaded"
             d:DesignHeight="145" d:DesignWidth="500">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.8*" />
            <ColumnDefinition Width="0.7*"/>
            <ColumnDefinition Width="0.6*"/>
        </Grid.ColumnDefinitions>
        <Grid x:Name="ShapesGrid" Grid.Column="0">
            <Grid.ColumnDefinitions>
                <ColumnDefinition />
                <ColumnDefinition />
                <ColumnDefinition />
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition />
                <RowDefinition />
            </Grid.RowDefinitions>
            
            <localMenu:MenuButton 
                Width="50" 
                Height="50" 
                x:Name="CrayonPenButton" 
                TouchDown="CrayonPenButton_OnTouchDown" 
                MouseLeftButtonDown="CrayonPenButton_OnMouseLeftButtonDown" 
                Grid.Column="0" 
                Grid.Row="0" 
                IconMargin="0" 
                IconTemplate="{DynamicResource PenTemplate}" 
                IconColor="{Binding Color}" />
            
            
            <!--<Image Width="50" Height="50" x:Name="CrayonPenButton" Grid.Column="0" Grid.Row="0"  TouchDown="CrayonPenButton_OnTouchDown" MouseLeftButtonDown="CrayonPenButton_OnMouseLeftButtonDown" Source="/TouchAndTeachWindows;component/ImgRes/crayon_icon.png" />-->
            <localMenu:MenuButton 
                x:Name="PenSize" 
                IconMargin="0" 
                Grid.Column="0" 
                Grid.Row="1" 
                Width="50" 
                Height="50" 
                Source="/TouchAndTeachWindows;component/ImgRes/stroke_width_icon.png" 
                TouchDown="PenSize_OnTouchDown"  
                MouseLeftButtonDown="PenSize_OnMouseLeftButtonDown" 
                IsManipulationEnabled="True" />
            

            <localMenu:MenuButton 
                x:Name="UndoButton" 
                IconMargin="0" 
                Grid.Column="1" 
                Grid.Row="0" 
                Width="60" 
                Height="60" 
                Pressed="UndoButton_Pressed" 
                IconTemplate="{DynamicResource UndoTemplate}" />
            
            
            <localMenu:MenuButton 
                IconMargin="0"
                x:Name="SelectButton" 
                Grid.Column="1" 
                Grid.Row="1" 
                Width="60" 
                Height="60" 
                IconTemplate="{DynamicResource SelectionTemplate}"
                MouseLeftButtonDown="SelectButton_MouseLeftButtonDown" 
                TouchDown="SelectButton_TouchDown"/>

            <localMenu:MenuButton 
                x:Name="Zoom" 
                Grid.Column="3"
                Grid.Row="1"
                IconMargin="2,3,5,7" 
                IconTemplate="{DynamicResource ManipulationTemplate}" 
                Pressed="Zoom_Pressed" />
            
            <localMenu:MenuButton
                x:Name="Eraser"
                Grid.Column="3"
                Grid.Row="0"
                IconMargin="3,7,7,7"
                IconTemplate="{DynamicResource EraserTemplate}"
                Pressed="Eraser_Pressed" />
            
            <!--<localMenu:MenuButton Width="50" Height="50" x:Name="ShapeRectangleButton" Grid.Column="0" Grid.Row="1" Source="/TouchAndTeachWindows;component/ImgRes/rectangle_icon.png" Pressed="ShapeRectangleButton_OnPressed" Selected="False" />-->
            <!--<localMenu:MenuButton Width="50" Height="50" x:Name="ShapeEllipseButton" Grid.Column="1" Grid.Row="1" Source="/TouchAndTeachWindows;component/ImgRes/ellipse_icon.png" Pressed="ShapeEllipseButton_OnPressed" Selected="False" />-->
        </Grid>
        <Grid Name="ColorButtonsGrid" Grid.Column="1">
            <Grid.Resources>
                <Style x:Key="TempColors" TargetType="localMenu:ColorButton">
                    <Setter Property="Width" Value="35" />
                    <Setter Property="Height" Value="35" />
                </Style>
            </Grid.Resources>
            <Grid.ColumnDefinitions>
                <ColumnDefinition />
                <ColumnDefinition />
                <ColumnDefinition />
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition />
                <RowDefinition />
            </Grid.RowDefinitions>
            <localMenu:ColorButton Color="Black" Grid.Column="0" Grid.Row="0" Pressed="colorButton_Pressed" Width="50" Height="50" />
            <localMenu:ColorButton Color="White" Grid.Column="1" Grid.Row="0" Pressed="colorButton_Pressed" Style="{DynamicResource TempColors}" />
            <localMenu:ColorButton Color="Red" Grid.Column="2" Grid.Row="0" Pressed="colorButton_Pressed" Style="{DynamicResource TempColors}" />
            <localMenu:ColorButton Color="Blue" Grid.Column="0" Grid.Row="1" Pressed="colorButton_Pressed" Style="{DynamicResource TempColors}" />
            <localMenu:ColorButton Color="LightGreen" Grid.Column="1" Grid.Row="1" Pressed="colorButton_Pressed" Style="{DynamicResource TempColors}" />
            <localMenu:ColorButton Color="Yellow" Grid.Column="2" Grid.Row="1" Pressed="colorButton_Pressed" Style="{DynamicResource TempColors}" />
        </Grid>
        <localMenu:ColorPicker x:Name="ColorPicker" Grid.Column="2" Margin="10" Hue="0" ColorChanged="ColorPicker_ColorChanged" CursorSvPos="0,0" />
        
        <Canvas x:Name="OverlayMenus" Grid.ColumnSpan="10" Grid.RowSpan="10" />
    </Grid>
</UserControl>
